
use "/Users/jkaboski/Dropbox/BKR (1)/Input Output/CombinedVADataforRegressions", clear
collapse (sum) cost (mean) Hsect fracskill, by (PCEline newid ref_mo ref_yr)
g Hsectc=cost*Hsect
g fracskillc=cost*fracskill
collapse (sum) cost Hsectc  fracskillc, by (newid ref_mo ref_yr)
rename cost totalexp
g Hsect=Hsectc/totalexp
g fracskill=fracskillc/totalexp
log using "/Users/jkaboski/Dropbox/BKR (1)/Input Output/basicresultsVA_New.log", replace
summ
summ totalexp, detail
log close 
destring ref_mo, replace
sort newid
merge newid using "/Users/jkaboski/Dropbox/BKR (1)/Input Output/CEXdemographicdata.dta"
keep if _merge==3
drop _merge
g age2=age_ref^2
destring state, replace
destring region, replace
destring high_edu, replace
destring ref_race, replace
destring sex_ref, replace
destring bls, replace
destring ref_mo, replace
g lincome=log(fincatax)
g highskill1=1 if high_edu>=16
replace highskill1=0 if high_edu<16
g highskill2=1 if high_edu==16
replace highskill2=0 if high_edu==12

log using "/Users/jkaboski/Dropbox/BKR (1)/Input Output/New Results VA.log", replace 
*VA results monthly

reg Hsect lincome
reg Hsect i.ref_mo age_ref age2 bls_urbn as_comp1 as_comp2 as_comp3 as_comp4 as_comp5 i.state sex_ref i.ref_race lincome
ivreg Hsect (lincome=high_edu)
xi: ivreg Hsect i.ref_mo age_ref age2 bls_urbn as_comp1 as_comp2 as_comp3 as_comp4 as_comp5 i.state sex_ref i.ref_race (lincome=high_edu)
reg Hsect highskill1
reg Hsect i.ref_mo age_ref age2 bls_urbn as_comp1 as_comp2 as_comp3 as_comp4 as_comp5 i.state sex_ref i.ref_race highskill1
reg Hsect highskill2
reg Hsect i.ref_mo age_ref age2 bls_urbn as_comp1 as_comp2 as_comp3 as_comp4 as_comp5 i.state sex_ref i.ref_race highskill2


log close

collapse (sum) totalexp Hsectc fracskillc (mean) ref_mo age_ref as_comp1 as_comp2 as_comp3 as_comp4 as_comp5 bls_urbn fam_size fincatax fincbtax inc_hrs1 inc_hrs2 ref_race region sex_ref high_edu state, by (newid)
g Hsect=Hsectc/totalexp
g lincome=log(fincatax)
g age2=age_ref^2
g ref_months=int(ref_mo)
drop ref_mo
g highskill1=1 if high_edu>=16
replace highskill1=0 if high_edu<16
g highskill2=1 if high_edu==16
replace highskill2=0 if high_edu==12

log using "/Users/jkaboski/Dropbox/BKR (1)/Input Output/New Results VA.log", append
*VA results quarterly

reg Hsect lincome
reg Hsect i.ref_mo age_ref age2 bls_urbn as_comp1 as_comp2 as_comp3 as_comp4 as_comp5 i.state sex_ref i.ref_race lincome
ivreg Hsect (lincome=high_edu)
xi: ivreg Hsect i.ref_mo age_ref age2 bls_urbn as_comp1 as_comp2 as_comp3 as_comp4 as_comp5 i.state sex_ref i.ref_race (lincome=high_edu)
reg Hsect highskill1
reg Hsect i.ref_mo age_ref age2 bls_urbn as_comp1 as_comp2 as_comp3 as_comp4 as_comp5 i.state sex_ref i.ref_race highskill1
reg Hsect highskill2
reg Hsect i.ref_mo age_ref age2 bls_urbn as_comp1 as_comp2 as_comp3 as_comp4 as_comp5 i.state sex_ref i.ref_race highskill2


log close


